import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;

public class Skins extends JFrame implements ActionListener {

	/**
	 * 
	 * @author hi_leute_gll
	 */

	private String name = "Skins";
	private String path;

	JButton b2;
	JButton b3;

	public Skins() {

		JLabel l1 = new JLabel("Install skins.");
		l1.setBounds(10, 10, 250, 30);
		l1.setAlignmentX(CENTER_ALIGNMENT);

		String OS = (System.getProperty("os.name")).toUpperCase();
		path = "";

		if (OS.contains("WIN")) {

			// Windows
			path = System.getenv("AppData") + "\\Teeworlds\\skins\\";
		}

		else {

			path = System.getProperty("user.home");

			// Mac
			if (OS.contains("MAC"))
				path += "/Library/Application Support/Teeworlds/skins/";

			// Linux
			else
				path += "/.teeworlds/skins/";

		}

		b2 = new JButton("Install");
		b2.setBounds(10, 50, 100, 30);
		b2.addActionListener(this);

		b3 = new JButton("Cancel");
		b3.setBounds(120, 50, 100, 30);
		b3.addActionListener(this);

		add(l1);
		add(b2);
		add(b3);

		setDefaultCloseOperation(EXIT_ON_CLOSE);
		setBounds(100, 100, 250, 125);
		setLayout(null);
		getContentPane();
		setVisible(true);
	}

	public void install() throws IOException {

		File f = new File(path);
		f.mkdir();

		File[] files = new File(name + File.separatorChar).listFiles();

		if (files != null) {
			for (int i = 0; i < files.length; i++) {

				f = new File(path + files[i].getName());

				if (f.exists())
					f.delete();

				BufferedInputStream in = new BufferedInputStream(
						new FileInputStream(files[i]));
				BufferedOutputStream out = new BufferedOutputStream(
						new FileOutputStream(f, true));
				int bytes = 0;
				while ((bytes = in.read()) != -1) {
					out.write(bytes);
				}
				in.close();
				out.close();
			}
		}

		System.exit(0);
	}

	@Override
	public void actionPerformed(ActionEvent e) {

		if (e.getSource() == b2) {

			try {
				install();
			} catch (IOException e1) {
				e1.printStackTrace();
			}

		} else if (e.getSource() == b3) {

			System.exit(0);
		}

	}

	public static void main(String[] args) {
		new Skins();

	}

}
